=== src/icons/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
########### install files ###############

ecm_install_icons( ICONS 128-apps-kleopatra.png  16-apps-kleopatra.png  22-apps-kleopatra.png  256-apps-kleopatra.png  32-apps-kleopatra.png  48-apps-kleopatra.png  64-apps-kleopatra.png DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor )
