## kleopatra 24.08.2

=== debian/changelog ===
kleopatra (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 01 Nov 2024 11:38:57 -0500

kleopatra (4:24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:03:48 +0200

kleopatra (4:24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Remove patches that have been applied upstream.
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 07 Sep 2024 11:23:31 +0200

kleopatra (4:22.12.3-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 25 Aug 2024 18:38:38 +0200

kleopatra (4:22.12.3-2.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Use pkgconf to locate libassuan. Closes: #1072277
  * B-d on libqgpgme-dev (split-off QT5 gpgme bindings) instead of
    libgpgmepp-dev. Closes: #1078485

 -- Andreas Metzler <ametzler@debian.org>  Fri, 23 Aug 2024 13:54:40 +0200

kleopatra (4:22.12.3-2) unstable; urgency=medium

  * Team upload.
  * Add pinentry-x11 as alternative to the pinentry-qt dependency, so other GUI
    variants are usable. (Closes: #1040700)
  * Remove 2 obsolete maintscript entries in 1 files.
  * Re-export upstream signing key without extra signatures.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Mark the dbus, xauth, and xvfb build dependencies as !nocheck, as they are
    needed only during dh_auto_test.
  * CI: enable again blhc, as it works fine now with blhc 0.13.

 -- Pino Toscano <pino@debian.org>  Mon, 10 Jul 2023 09:28:23 +0200
