=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-kf6,
+               cmake (>= 3.16~),
                dbus <!nocheck>,
-               debhelper-compat (= 13),
-               dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                git,
-               libakonadimime-dev (>= 4:24.12.0~),
+               libakonadimime-dev (>= 4:24.12.2~),
                libassuan-dev (>= 2.4.2~),
                libgpg-error-dev (>= 1.36~),
                libgpgme-dev (>= 1.21.0~),
@@ -33,11 +33,11 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.0~),
-               libkleo-dev (>= 4:24.12.0~),
-               libkmailtransport-dev (>= 24.12.0~),
-               libkmime-dev (>= 24.12.0~),
-               libmimetreeparser-dev (>= 24.12.0~),
+               libkidentitymanagement-dev (>= 24.12.2~),
+               libkleo-dev (>= 4:24.12.2~),
+               libkmailtransport-dev (>= 24.12.2~),
+               libkmime-dev (>= 24.12.2~),
+               libmimetreeparser-dev (>= 24.12.2~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
